ReturnCountFilterEnum
This enumerated type lists all values that can be passed in the return_state query parameter of the GET /post-order/v2/return/search method. These values specify the state of the return requests returned by a search request. These return state classifications will also get returned in the countSummary array in the GET /post-order/v2/return/search response.
Type that uses ReturnCountFilterEnum:
Call that uses one or more values of ReturnCountFilterEnum:
Enumeration Values
| Value | Description |
| ALL_OPEN | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve all open return requests. |
| ALL_OPEN_REPLACEMENT | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve all open return requests where the buyer has requested a replacement item. Note: This value is not currently supported. |
| ALL_OPEN_RETURN | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve all open return requests where the buyer wants to return the item for a refund. |
| CLOSED | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve all return requests that have been closed. |
| EBAY_PLUS | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve all open return requests where the line item is an eBay Plus item. |
| ITEM_DELIVERED | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve return requests where a return item has been delivered to their destination. |
| ITEM_SHIPPED | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve return requests where a return item has been shipped. |
| RETURN_STARTED | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve newly-opened return requests. |
| SELLER_ACTION_DUE | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve all open return requests that are currently awaiting a seller action. |
| SELLER_ACTION_OVERDUE | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve all open return requests where a seller action is overdue. |
| SELLER_NO_ACTION | This enumeration value is set in the return_state query parameter field if the user wishes to retrieve all open return requests where no seller action is currently due. |
| UNKNOWN | This enumeration value should not be used in the return_state query parameter field. |